<?php
/*
Template Name: Editable Menu Page
*/
get_header(); ?>
<main>
  <h1 class="header-title">منو</h1>

  <?php
  $sections = get_terms(array(
    'taxonomy'   => 'menu_section',
    'hide_empty' => true,
    'orderby'    => 'term_order',
  ));

  foreach ($sections as $section) : ?>
    <div class="menu-section"><?php echo esc_html($section->name); ?></div>
    <div class="menu-items">
      <?php
      $items = new WP_Query(array(
        'post_type'      => 'menu_item',
        'tax_query'      => array(array(
          'taxonomy' => 'menu_section',
          'terms'    => $section->term_id,
        )),
        'posts_per_page' => -1,
        'orderby'        => 'menu_order',
        'order'          => 'ASC',
      ));
      if ($items->have_posts()) :
        while ($items->have_posts()) : $items->the_post(); ?>
          <div class="menu-item">
            <?php if (has_post_thumbnail()) : ?>
              <div class="menu-item-image">
                <?php the_post_thumbnail('medium'); ?>
              </div>
            <?php endif; ?>
            <div class="menu-item-content">
              <h3><?php the_title(); ?></h3>
              <?php if ($eng = get_post_meta(get_the_ID(), 'english_name', true)) : ?>
                <h4><?php echo esc_html($eng); ?></h4>
              <?php endif; ?>
              <?php if ($price = get_post_meta(get_the_ID(), 'price', true)) : ?>
                <div class="price"><?php echo esc_html($price); ?></div>
              <?php endif; ?>
              <div class="description"><?php the_content(); ?></div>
            </div>
          </div>
        <?php endwhile; wp_reset_postdata(); endif; ?>
    </div>
  <?php endforeach; ?>
</main>
<?php get_footer(); ?>